#!/bin/sh
#
# Copyright (c) 2018 Vivotek Inc. All rights reserved.
#
# +-----------------------------------------------------------------+
# | THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY ONLY BE USED |
# | AND COPIED IN ACCORDANCE WITH THE TERMS AND CONDITIONS OF SUCH  |
# | A LICENSE AND WITH THE INCLUSION OF THE THIS COPY RIGHT NOTICE. |
# | THIS SOFTWARE OR ANY OTHER COPIES OF THIS SOFTWARE MAY NOT BE   |
# | PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY OTHER PERSON. THE   |
# | OWNERSHIP AND TITLE OF THIS SOFTWARE IS NOT TRANSFERRED.        |
# |                                                                 |
# | THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT   |
# | ANY PRIOR NOTICE AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY |
# | VIVOTEK INC.                                                    |
# +-----------------------------------------------------------------+
#
# Date: 2019-01-10 10:49:03
# Author: Jacko Chang (jacko.chang@vivotek.com)
#

if [ -z "${PKGROOT}" ]; then
	PKGROOT=$(realpath ./)
fi

INSTALLS=$(find ${PKGROOT}/install.d/ -type f)

cd /
ACTION=${1}
case ${ACTION} in
	install|remove)
		for i in ${INSTALLS}; do
			LD_LIBRARY_PATH=${PKGROOT}/lib PKGROOT=${PKGROOT} ${i} ${ACTION} 1>&2
		done
		;;
  restore)
  	for i in ${INSTALLS}; do
			LD_LIBRARY_PATH=${PKGROOT}/lib PKGROOT=${PKGROOT} ${i} remove 1>&2
      LD_LIBRARY_PATH=${PKGROOT}/lib PKGROOT=${PKGROOT} ${i} install 1>&2
		done
  ;;
esac

cd -
exit 0

